<bugID>799289<Summary>Trying to install firefox using the stub installer remotely to another machine (network drive) downloads the resources, but gets stuck in the "installing" phase</Summary><Description>Steps:

1. Launch the stub installer
2. Select options
3. Set the path of installation directory to a network drive on another machine you have access to
*** Example: \\JSMITH-07547\Users\jsmith\Documents

Expected:

Not entirely sure of the right behavior here. If installing to network drives is allowed, then we should successfully install and launch firefox. If it isn't allowed, we should error out.

Actual:

The "downloading" phase completes without error and pulls all of resources onto the network drive. However, the installing phase gets stuck spinning infinitely with no end in sight. At a very minimum, we should not spin infinitely.</Description></bugID>